# ImageDataFactory (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.opengl
Class ImageDataFactory

    java.lang.Object
      org.newdawn.slick.opengl.ImageDataFactory

    public class ImageDataFactory

extends java.lang.Object

A static utility to create the appropriate image data for a particular reference.

Author:
  kevin

Constructor Summary
`ImageDataFactory()`

Method Summary
`static LoadableImageData` `getImageDataFor(java.lang.String ref)` Create an image data that is appropriate for the reference supplied

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageDataFactory

    public ImageDataFactory()

Method Detail

### getImageDataFor

    public static LoadableImageData getImageDataFor(java.lang.String ref)

  Create an image data that is appropriate for the reference supplied

  Parameters:
    `ref` - The reference to the image to retrieve
  Returns:
    The image data that can be used to retrieve the data for that resource

Copyright © 2006 New Dawn Software. All Rights Reserved.